<?php

ViewResponse::getInstance()->setMethodAjax();
if($sTypeRequest == "autocompleteProducto")
{
	  if(myUser::getUser()->getRoleId() == "sys.res"){
		$o_SucursalBean = new SucursalBean();
	 	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
	 	
	 	$o_SucursalBL = new SucursalBL();
	 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	 	
	 	
	 	if(is_array($a_o_sucursal)){
			foreach ($a_o_sucursal as $key1 => $o_sucursal){
		  		$idSucursal = $o_sucursal->getIdSucursal();
		  	}
		}else{
	  		$idSucursal = "0"; 
	  	}
	  	
	 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
	  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
	  	
	  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
	  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
	  	
	  	if(is_array($a_o_SucursalMercadoResult)){
			foreach ($a_o_SucursalMercadoResult as $key5 => $o_SucursalMercadoResult){
		  		$a_Mercado[] = $o_SucursalMercadoResult->getIdMercado();
		  	}
		}else{
	  		$a_Mercado[] = "0"; 
	  	}
			
	}
	if(myUser::getUser()->getRoleId() == "sys.sec"){
		
		$o_ColaboradorBean_Temp = new ColaboradorBean();
	  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	  	$o_ColaboradorBL_Temp = new ColaboradorBL();
	  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	  	 	
		$o_SucursalBean = new SucursalBean();
	 	$o_SucursalBean->setIdAdministrador($o_ColaboradorBeanResult[0]->getIdPadre());
	 	
	 	$o_SucursalBL = new SucursalBL();
	 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
	  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
	  	
	  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
	  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
	  	
	  	foreach ($a_o_SucursalMercadoResult as $key => $o_MercadoRepresentante){
	  		$a_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
	  	}
		
	}
	
	if(myUser::getUser()->getRoleId() == "sys.ope"){
		$o_MercadoRepresentanteBean_Temp = new MercadoRepresentanteBean();
	  	$o_MercadoRepresentanteBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	  	$o_MercadoRepresentanteBL_Temp = new MercadoRepresentanteBL();
	  	$a_o_MercadoRepresentanteBeanResult = $o_MercadoRepresentanteBL_Temp->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean_Temp);
	  	foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
	  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
	  	}
	  	if(!is_array($a_Mercado)){
	  		$a_Mercado[] = "0"; 
	  	}
	}

  $o_SgOrdenDetalleFN = new ClienteDP(new ClienteBean());
  $o_SgOrdenDetalleFN->buscarProductosxAutocomplet($idTipo.$orderLine['itemNumber'],$a_Mercado);
  echo $o_SgOrdenDetalleFN->mostrarProductos();
}
switch ($type){
	case 'getNroCuotasCC':
		switch ($formaPago){
		 	
			 case 'S' :	
			 	
					
					for($i=1;$i<=180;$i=$i+0.5){
						if($value == $i){
						 
						 $a_ValuesElm[] = ($i*4)."_;_".($i*4) ." cuotas_;_selected";
						 
						 $a_Resultado     = array();
						 foreach ($a_ValuesElm as $key2 => $value2){
							  $valueElm = $value2;
							  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
						  }
						}
					}
						
					
			 	
			 break;
			 case 'M' :	
			 	
						for($i=1;$i<=180;$i++){
							if($value == $i){
							 
							 $a_ValuesElm[] = ($i)."_;_".($i) ." cuotas_;_selected";
							 
							 $a_Resultado     = array();
							 foreach ($a_ValuesElm as $key2 => $value2){
								  $valueElm = $value2;
								  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
							  }
							}
						}
					
			 	
			 	break;
			 	case 'Q' :	
				 	
						
						for($i=1;$i<=180;$i=$i+0.5){
							if($value == $i){
							 
							 $a_ValuesElm[] = ($i*2)."_;_".($i*2) ." cuotas_;_selected";
							 
							 $a_Resultado     = array();
							 foreach ($a_ValuesElm as $key2 => $value2){
								  $valueElm = $value2;
								  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
							  }
							}
						}
				break;			
				 	
			}
			
			
  	break;
    case 'getCuenta':
  		$con = Conexion::getConexion();
	    $sql = "SELECT *
	    		FROM ar_cuenta
	    		WHERE idbanco='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idcuenta."_;_".str_replace("_","_",str_pad($o_ClienteBean->numero,20,"_",STR_PAD_RIGHT))." - ".str_replace(' ',' ',sprintf('%-30s',$o_ClienteBean->titular));
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
  	break;
	case 'getNroCuotasCC':
		switch ($formaPago){
		 	
			 case 'S' :	
			 	
					
					for($i=1;$i<=180;$i=$i+0.5){
						if($value == $i){
						 
						 $a_ValuesElm[] = ($i*4)."_;_".($i*4) ." cuotas_;_selected";
						 
						 $a_Resultado     = array();
						 foreach ($a_ValuesElm as $key2 => $value2){
							  $valueElm = $value2;
							  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
						  }
						}
					}
						
					
			 	
			 break;
			 case 'M' :	
			 	
						for($i=1;$i<=180;$i++){
							if($value == $i){
							 
							 $a_ValuesElm[] = ($i)."_;_".($i) ." cuotas_;_selected";
							 
							 $a_Resultado     = array();
							 foreach ($a_ValuesElm as $key2 => $value2){
								  $valueElm = $value2;
								  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
							  }
							}
						}
					
			 	
			 	break;
			 	case 'Q' :	
				 	
						
						for($i=1;$i<=180;$i=$i+0.5){
							if($value == $i){
							 
							 $a_ValuesElm[] = ($i*2)."_;_".($i*2) ." cuotas_;_selected";
							 
							 $a_Resultado     = array();
							 foreach ($a_ValuesElm as $key2 => $value2){
								  $valueElm = $value2;
								  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
							  }
							}
						}
				break;			
				 	
			}
			
			
  	break;
  case 'getDuracionCC':
		switch ($value){
		    case 'S' :
		  	 
				for($i=1;$i<=180;$i++){
					if($Edefault == $i) $a_ValuesElm[] = $i."_;_".$i ."meses_;_selected";
					else $a_ValuesElm[] =  $i."_;_".$i ." meses";  
				}  
		    
		     
		      $a_Resultado     = array();
		      foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
			  }
		      
		    
		  break;
		 case 'Q' :
		  	  
		  		  	 

			for($i=1;$i<=180;$i++){
				if($Edefault == $i) $a_ValuesElm[] = $i."_;_".$i ."meses_;_selected";
				else $a_ValuesElm[] =  $i."_;_".$i ."meses";  
			}  
		         
		      $a_Resultado     = array();
		      foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
			  }
		      
		    
		  break; 
		  
		  case 'M' :
		  	 
		  	 
			
			for($i=1;$i<=180;$i++){
				if($Edefault == $i) $a_ValuesElm[] = $i."_;_".$i ."meses_;_selected";
				else $a_ValuesElm[] =  $i."_;_".$i ."meses";  
			}
			
			
		  	    
		    
		     
		      $a_Resultado     = array();
		      foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
			  }
		      
		    
		  break; 
		}
  	break;
  	
  case 'getNroCuotasCC':
		switch ($formaPago){
		 	
			 case 'S' :	
			 	
					
					for($i=1;$i<=180;$i=$i+0.5){
						if($value == $i){
						 
						 $a_ValuesElm[] = ($i*4)."_;_".($i*4) ." cuotas_;_selected";
						 
						 $a_Resultado     = array();
						 foreach ($a_ValuesElm as $key2 => $value2){
							  $valueElm = $value2;
							  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
						  }
						}
					}
						
					
			 	
			 break;
			 case 'M' :	
			 	
						for($i=1;$i<=180;$i++){
							if($value == $i){
							 
							 $a_ValuesElm[] = ($i)."_;_".($i) ." cuotas_;_selected";
							 
							 $a_Resultado     = array();
							 foreach ($a_ValuesElm as $key2 => $value2){
								  $valueElm = $value2;
								  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
							  }
							}
						}
					
			 	
			 	break;
			 	case 'Q' :	
				 	
						
						for($i=1;$i<=180;$i=$i+0.5){
							if($value == $i){
							 
							 $a_ValuesElm[] = ($i*2)."_;_".($i*2) ." cuotas_;_selected";
							 
							 $a_Resultado     = array();
							 foreach ($a_ValuesElm as $key2 => $value2){
								  $valueElm = $value2;
								  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
							  }
							}
						}
				break;			
				 	
			}
			
			
  	break;
  	
  case 'getNroCuotas':
		$formaPago = $value;
		switch ($formaPago){
			
		 	case 'D' :	
			
				$a_ValuesElm[] = "4_;_4 Dias";
				$a_ValuesElm[] = "7_;_7 Dias";
				$a_ValuesElm[] = "15_;_15 Dias";
				$a_ValuesElm[] = "26_;_26 Dias";
				$a_ValuesElm[] = "30_;_30 Dias_;_selected";					  
				$a_ValuesElm[] = "45_;_45 Dias";
				$a_ValuesElm[] = "60_;_60 Dias";
				$a_ValuesElm[] = "75_;_75 Dias";
				$a_ValuesElm[] = "90_;_90 Dias";

				$a_Resultado     = array();
				foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
				}
				break;
			case 'S' :	
			
				$a_ValuesElm[] = "7_;_7 Dias";
				$a_ValuesElm[] = "15_;_15 Dias";
				$a_ValuesElm[] = "30_;_30 Dias_;_selected";					  
				$a_ValuesElm[] = "45_;_45 Dias";
				$a_ValuesElm[] = "60_;_60 Dias";
				$a_ValuesElm[] = "75_;_75 Dias";
				$a_ValuesElm[] = "90_;_90 Dias";

				$a_Resultado     = array();
				foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
				}
				break;	
			case 'Q' :	
				$a_ValuesElm[] = "15_;_15 Dias";
				$a_ValuesElm[] = "30_;_30 Dias_;_selected";					  
				$a_ValuesElm[] = "45_;_45 Dias";
				$a_ValuesElm[] = "60_;_60 Dias";
				$a_ValuesElm[] = "75_;_75 Dias";
				$a_ValuesElm[] = "90_;_90 Dias";

				$a_Resultado     = array();
				foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
				}
				break;	
			case 'M' :	
			
				$a_ValuesElm[] = "30_;_30 Dias_;_selected";					  
				$a_ValuesElm[] = "60_;_60 Dias";
				$a_ValuesElm[] = "90_;_90 Dias";

				$a_Resultado     = array();
				foreach ($a_ValuesElm as $key => $value){
				  $valueElm = $value;
				  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
				}
				break;	
			
			
			 	
		}
			
	    $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);	
			
  	break;
  case 'name' :
    
    switch ($typeFind){
      case 'doc':
        $o_ObjectBean = new DocenteBean();
        $o_ObjectBean->setCodigoDocente($value);
        $o_class = new DocenteBL();
        $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);
        
        if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'alm':
        $o_ObjectBean = new AlumnoBean();
        $o_ObjectBean->setCodigoAlumno($value);
        $o_class = new AlumnoBL();
        $a_ObjectBean = $o_class->busquedaAlumno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'ext':
        $o_ObjectBean = new ExternoBean();
        $o_ObjectBean->setCodigo($value);
        $o_class = new ExternoBL();
        $a_ObjectBean = $o_class->busquedaExterno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
        
      break;
    }
    
    $scadena = utilJson::generateJsonElment($tmp);
    
    header("X-JSON: ".$scadena);
    
  break;
  
  case 'getMonto': 
     
  	//Calcula el Sueldo del colaborador / 30
  	$o_crColaboradorBean = new ColaboradorBean();
  	$o_crColaboradorBean->setIdColaborador($value);
    	
	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
  	$a_o_crColaborador = $o_crColaboradorDP->select();
  	
	if(count($a_o_crColaborador) >0){
		$i=1;
		foreach($a_o_crColaborador as $key => $o_crColaborador){
			$montoD = round($o_crColaborador->getSueldo()/30,2);
		}
	}
	if($duplicar) $montoD = $montoD*2;
  	$valueElm = $montoD;
	$a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	
	
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
	  header("x-json:".$salida);
	  
  	break;
    case 'getMontoTardanza': 
  	//Calcula el Sueldo del colaborador / 30
  	$o_crColaboradorBean = new ColaboradorBean();
  	$o_crColaboradorBean->setIdColaborador($value);
    	
	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
  	$a_o_crColaborador = $o_crColaboradorDP->select();
  	
	if(count($a_o_crColaborador) >0){
		$i=1;
		foreach($a_o_crColaborador as $key => $o_crColaborador){
			$IdRol = $o_crColaborador->getIdRol();
		}
	}
	$monto1 = "5.00";
	$monto2 = "10.00";
	
	    $a_ValuesElm[] = $monto1."_;_".$monto1;
	    $a_ValuesElm[] = $monto2."_;_".$monto2;
	    
	foreach ($a_ValuesElm as $key => $value){
	  $valueElm = $value;
	  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	}

		
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
   case 'getFechaAbiertaAS':  //Fecha Abierta por administrador de sucursal
  	//Calcula el Sueldo del colaborador / 30
  	
  	$o_crColaboradorBean = new ColaboradorBean();
  	$o_crColaboradorBean->setIdColaborador($value);
  	
  	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
  	$a_o_crColaboradorDP = $o_crColaboradorDP->select();
  	
  	if(is_array($a_o_crColaboradorDP)){
  		foreach($a_o_crColaboradorDP as $key => $o_crColaboradorDP){
			$RolId = $o_crColaboradorDP->getIdRol();
		}
  	}
  	if($RolId == "sys.res"){
  	
	  	$o_crSucursalBean = new SucursalBean();
	  	$o_crSucursalBean->setIdAdministrador($value);
	    	
		$o_crSucursalDP = new SucursalDP($o_crSucursalBean);
	  	$a_o_crSucursal = $o_crSucursalDP->select();
	  	
		if(count($a_o_crSucursal) >0){
			$i=1;
			foreach($a_o_crSucursal as $key => $o_crSucursal){
				$IdSucursal = $o_crSucursal->getIdSucursal();
			}
		}
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
		
		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
		
  	}else{
  		$con = Conexion::getConexion();
	    $sql = "SELECT max(FechaCierre) as FechaCierre
	    		FROM cr_balance_dia
	    		;";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		if($num_rows>0){
			$i=1;
			while($o_Bd = mysql_fetch_object($result)){
			    $fechaCierre = $o_Bd->FechaCierre;
			}
		}
		$fechaBalanceAbierto = date('Y-m-d',strtotime($fechaCierre.' +1 days'));
		
  	}
  	
  	$valueElm = $fechaBalanceAbierto;
	$a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	
	
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
   case 'getFechaAbiertaOPE':  //Fecha Abierta por operador y/o representante
  	//Calcula el Sueldo del colaborador / 30
  	$o_crSucursalBean = new SucursalBean();
  	$o_crSucursalBean->setIdAdministrador($value);
    	
	$o_crSucursalDP = new SucursalDP($o_crSucursalBean);
  	$a_o_crSucursal = $o_crSucursalDP->select();
  	
	if(count($a_o_crSucursal) >0){
		$i=1;
		foreach($a_o_crSucursal as $key => $o_crSucursal){
			$IdSucursal = $o_crSucursal->getIdSucursal();
		}
	}
	$o_BalanceDiaNew = new BalanceDiaBean();
	$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
	
	
	$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
	$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	
	
  	$valueElm = $fechaBalanceAbierto;
	$a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	
	
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
  	case 'getMonto': 
     
  	//Calcula el Sueldo del colaborador / 30
  	$o_crColaboradorBean = new ColaboradorBean();
  	$o_crColaboradorBean->setIdColaborador($value);
    	
	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
  	$a_o_crColaborador = $o_crColaboradorDP->select();
  	
	if(count($a_o_crColaborador) >0){
		$i=1;
		foreach($a_o_crColaborador as $key => $o_crColaborador){
			$montoD = round($o_crColaborador->getSueldo()/30,2);
		}
	}
	if($duplicar) $montoD = $montoD*2;
  	$valueElm = $montoD;
	$a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	
	
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
	  header("x-json:".$salida);
	  
  	break;
    case 'getMontoTardanza': 
  	//Calcula el Sueldo del colaborador / 30
  	$o_crColaboradorBean = new ColaboradorBean();
  	$o_crColaboradorBean->setIdColaborador($value);
    	
	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
  	$a_o_crColaborador = $o_crColaboradorDP->select();
  	
	if(count($a_o_crColaborador) >0){
		$i=1;
		foreach($a_o_crColaborador as $key => $o_crColaborador){
			$IdRol = $o_crColaborador->getIdRol();
		}
	}
	$monto1 = "5.00";
	$monto2 = "10.00";
	
	    $a_ValuesElm[] = $monto1."_;_".$monto1;
	    $a_ValuesElm[] = $monto2."_;_".$monto2;
	    
	foreach ($a_ValuesElm as $key => $value){
	  $valueElm = $value;
	  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	}

		
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
   case 'getFechaAbiertaAS':  //Fecha Abierta por administrador de sucursal
  	//Calcula el Sueldo del colaborador / 30
  	
  	$o_crColaboradorBean = new ColaboradorBean();
  	$o_crColaboradorBean->setIdColaborador($value);
  	
  	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
  	$a_o_crColaboradorDP = $o_crColaboradorDP->select();
  	
  	if(is_array($a_o_crColaboradorDP)){
  		foreach($a_o_crColaboradorDP as $key => $o_crColaboradorDP){
			$RolId = $o_crColaboradorDP->getIdRol();
		}
  	}
  	if($RolId == "sys.res"){
  	
	  	$o_crSucursalBean = new SucursalBean();
	  	$o_crSucursalBean->setIdAdministrador($value);
	    	
		$o_crSucursalDP = new SucursalDP($o_crSucursalBean);
	  	$a_o_crSucursal = $o_crSucursalDP->select();
	  	
		if(count($a_o_crSucursal) >0){
			$i=1;
			foreach($a_o_crSucursal as $key => $o_crSucursal){
				$IdSucursal = $o_crSucursal->getIdSucursal();
			}
		}
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
		
		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
		
  	}else{
  		$con = Conexion::getConexion();
	    $sql = "SELECT max(FechaCierre) as FechaCierre
	    		FROM cr_balance_dia
	    		;";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		if($num_rows>0){
			$i=1;
			while($o_Bd = mysql_fetch_object($result)){
			    $fechaCierre = $o_Bd->FechaCierre;
			}
		}
		$fechaBalanceAbierto = date('Y-m-d',strtotime($fechaCierre.' +1 days'));
		
  	}
  	
  	$valueElm = $fechaBalanceAbierto;
	$a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	
	
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
   case 'getFechaAbiertaOPE':  //Fecha Abierta por operador y/o representante
  	//Calcula el Sueldo del colaborador / 30
  	$o_crSucursalBean = new SucursalBean();
  	$o_crSucursalBean->setIdAdministrador($value);
    	
	$o_crSucursalDP = new SucursalDP($o_crSucursalBean);
  	$a_o_crSucursal = $o_crSucursalDP->select();
  	
	if(count($a_o_crSucursal) >0){
		$i=1;
		foreach($a_o_crSucursal as $key => $o_crSucursal){
			$IdSucursal = $o_crSucursal->getIdSucursal();
		}
	}
	$o_BalanceDiaNew = new BalanceDiaBean();
	$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
	
	
	$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
	$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	
	
  	$valueElm = $fechaBalanceAbierto;
	$a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	
	
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
  	case 'getDiasFalta':
  	$NumeroDia = $value;
  	$numeroDias = date("t",strtotime($periodo."-01"));
  	$rango = $numeroDias-$NumeroDia;
  	for($i=1; $i<$rango;$i++){
	  $a_ValuesElm[] = $i."_;_".$i;
	}
	
  	foreach ($a_ValuesElm as $key => $value){
	  $valueElm = $value;
	  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	}
  	
  	$salida = "[".implode(",",$a_Resultado).']';
  	
  	if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
	  header("x-json:".$salida);
  	
  break; 
  case 'getTipoRegistro': 
     
   
  	$o_RhMarcacionTipoFN = new RhMarcacionTipoFN();
  	
  	$o_RhMarcacionTipoFN->setIdregistro($value);
  	$a_o_RhMarcacionTipoFN = $o_RhMarcacionTipoFN->select();
  	if(is_array($a_o_RhMarcacionTipoFN)){
  		foreach ($a_o_RhMarcacionTipoFN as $key => $o_RhMarcacionTipoFN) {
  			 $a_ValuesElm[] = $o_RhMarcacionTipoFN->getIdtipo()."_;_".$o_RhMarcacionTipoFN->getDescripcion();
  		}
  	}
	//print_r($a_ValuesElm);
	//echo "**********";
	foreach ($a_ValuesElm as $key => $value){
	  $valueElm = $value;
	  $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	}

		
	$salida = "[".implode(",",$a_Resultado).']';
	
	$noutf8 = 1;	
      if($noutf8){
      	header("X-JSON: ".$salida);
      }else{
      	header("X-JSON: ".utf8_decode($salida));
      }
	  
  	break;
  	
}

$salida = "[".implode(",",$a_Resultado).']';
    
header("X-JSON: ".$salida);

?>